import Executor, { Config as BaseConfig, Events, LoaderDescriptor } from './Executor';
import Task from '@dojo/core/async/Task';
export default class Browser<E extends Events = Events, C extends Config = Config> extends Executor<E, C> {
    static initialize(config?: Config): Browser<Events, Config>;
    constructor(config?: Partial<C>);
    readonly environment: string;
    loadScript(script: string | string[]): Task<void>;
    protected _loadSuites(): Task<void>;
    protected _processOption(name: keyof Config, value: any): void;
    protected _resolveConfig(): Task<void>;
}
export interface Config extends BaseConfig {
    basePath: string;
    browserLoader: LoaderDescriptor;
    browserSuites: string[];
}
export { Events };
