/// <reference types="istanbul-lib-instrument" />
/// <reference types="istanbul-lib-source-maps" />
import Executor, { Config as BaseConfig, Events, LoaderDescriptor } from './Executor';
import Task from '@dojo/core/async/Task';
import { Instrumenter } from 'istanbul-lib-instrument';
import { MapStore } from 'istanbul-lib-source-maps';
export default class Node<E extends Events = Events, C extends Config = Config> extends Executor<E, C> {
    static initialize(config?: Partial<Config>): Node<Events, Config>;
    _instrumentBasePath: string;
    _instrumenter: Instrumenter;
    _sourceMaps: MapStore;
    _unhookRequire: null | (() => void);
    constructor(config?: Partial<C>);
    readonly environment: string;
    readonly sourceMapStore: MapStore;
    instrumentCode(code: string, filename: string): string;
    loadScript(script: string | string[]): Task<void>;
    shouldInstrumentFile(filename: string): boolean;
    protected _beforeRun(): Task<void>;
    protected _loadSuites(config?: C): Task<void>;
    protected _processOption(name: keyof Config, value: any): void;
    protected _resolveConfig(): Task<void>;
    protected _setInstrumentationHooks(): void;
    protected _removeInstrumentationHooks(): void;
}
export { Events };
export interface Config extends BaseConfig {
    basePath: string;
    nodeLoader: LoaderDescriptor;
    nodeSuites: string[];
}
