/// <reference types="istanbul-lib-report" />
/// <reference types="istanbul-reports" />
/// <reference types="istanbul-lib-coverage" />
import Reporter, { ReporterProperties } from './Reporter';
import { CoverageMap } from 'istanbul-lib-coverage';
import { Watermarks } from 'istanbul-lib-report';
import { ReportType } from 'istanbul-reports';
import Node from '../executors/Node';
export default abstract class Coverage extends Reporter implements CoverageProperties {
    executor: Node;
    filename: string;
    watermarks: Watermarks;
    createCoverageReport(type: ReportType, data: object | CoverageMap): void;
}
export interface CoverageProperties extends ReporterProperties {
    filename: string;
    watermarks: Watermarks;
}
export declare type CoverageOptions = Partial<CoverageProperties>;
